Bug 921753 - Unable to complete inventory task on PPC970, altivec supported machine with RHEL5
Summary: Unable to complete inventory task on PPC970, altivec supported machine with R...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: inventory
Version: 0.11
Hardware: ppc64
OS: Linux
unspecified
low vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: Inventory
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-14 20:28 UTC by David Galloway
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-26 06:35:41 UTC


Attachments (Terms of Use)

Description David Galloway 2013-03-14 20:28:10 UTC
Description of problem:
Trying to run an inventory task on an IBM JS20 blade with RHEL5.9 results in python barf.  RHEL6 is not compatible with this system.

Version-Release number of selected component (if applicable):
Tried following packages
beaker-distribution-inventory-1.1-61.noarch.rpm
new_inventory-1.3-1.noarch.rpm

How reproducible: 100%

Steps to Reproduce:
1. Install RHEL5 U9 Server ppc64
2. wget https://beaker.engineering.redhat.com/rpms/beaker-distribution-inventory-1.1-61.noarch.rpm --no-check-certificate
3. rpm -Uvh beaker-distribution-inventory-1.1-61.noarch.rpm
4. yum -y install smolt
5. /mnt/tests/distribution/inventory/pushInventory.py --server http://lab-02.rhts.eng.bos.redhat.com:8000/server -h $HOSTNAME
  
Actual results:
[root@ibm-js20-04 ~]# /mnt/tests/distribution/inventory/pushInventory.py --server http://lab-02.rhts.eng.bos.redhat.com:8000/server -h $HOSTNAME
Traceback (most recent call last):
  File "/mnt/tests/distribution/inventory/pushInventory.py", line 448, in ?
    main()
  File "/mnt/tests/distribution/inventory/pushInventory.py", line 427, in main
    inventory = read_inventory()
  File "/mnt/tests/distribution/inventory/pushInventory.py", line 303, in read_inventory
    profile  = smolt.Hardware()
  File "/usr/share/smolt/client/smolt.py", line 761, in Hardware
    _hardware_instance = _Hardware()
  File "/usr/share/smolt/client/smolt.py", line 441, in __init__
    self.host = Host(props)
  File "/usr/share/smolt/client/smolt.py", line 288, in __init__
    self.systemModel = Gate().process('model', model_name)
TypeError: process() takes exactly 4 arguments (3 given)

Expected results:
Script passes/completes and updates Details tab on Beaker machine page

Additional info:
Also tried standard 'bkr workflow-simple --machine=ibm-js20-04.lab.eng.rdu.redhat.com --arch=ppc64  --task=/distribution/inventory --family=RedHatEnterpriseLinuxServer5'

We frequently have a need to run the inventory task on older machines that do not support RHEL6.  Is there another inventory script in the works that will work on RHEL5 or doesn't depend on smolt?

Comment 1 Dan Callaghan 2013-03-17 22:42:47 UTC
(In reply to comment #0)
> Is there another inventory script in the works that
> will work on RHEL5 or doesn't depend on smolt?

We are working on porting the inventory script to lshw in bug 541294. It's almost done, just needs a lot more testing and a some issues with block devices ironed out.

If you can give me a few days I will set something up to make it easier to test the new inventory script (right now it's just the patches on Gerrit).

Comment 3 Dan Callaghan 2015-08-26 06:35:41 UTC
The new beaker-system-scan 2.0 using lshw definitely works on the JS20 blades, that was one of our major test cases. So this should no longer be an issue.


Note You need to log in before you can comment on or make changes to this bug.